Logs Query
curl --request GET \
--url https://api.deepinfra.com/v1/logs/query \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deepinfra.com/v1/logs/query"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deepinfra.com/v1/logs/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
[
"<string>",
"<string>"
]
]
}{
"error": "Model not found"
}{
"error": "Model not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Logs & Metrics
Logs Query
Query inference logs.
- Without timestamps (from/to) returns last
limitmessages (in last month). - With
fromonly, returns firstlimitmessages afterfrom(inclusive). - With
toonly, returns lastlimitmessages beforeto(inclusive). - With both
fromandto, return the firstlimitmessages afterfrom, but not later thanto. fromandtoshould be no more than a month apart.
GET
/
v1
/
logs
/
query
Logs Query
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
the deploy id to get the logs from
start of period, in fractional seconds since unix epoch (inclusive)
end of period, in fractional seconds since unix epoch (exclusive)
how many items to return at most (default 100, in [1, 1000])
Response
Successful Response
list of log lines ordered by increasing timestamp
Show child attributes
Show child attributes